APIMarket data
Historical OHLCV candles
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
symbol*string
Match
^[A-Z0-9]+$/iLength
1 <= length <= 32interval*string
Value in
- "1m"
- "5m"
- "15m"
- "1h"
- "4h"
- "1d"
count?integer
Range
1 <= value <= 2000Default
500before?integer
Exclusive upper bound on bar open time (ms)
Range
0 < valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/candles?symbol=BTCUSDT&interval=1h"{ "symbol": "string", "interval": "1m", "source": "cache", "candles": [ { "ts": 0, "open": 0, "high": 0, "low": 0, "close": 0, "volume": 0 } ]}{ "error": { "code": "NOT_FOUND", "message": "Session not found" }}{ "error": { "code": "NOT_FOUND", "message": "Session not found" }}{ "error": { "code": "NOT_FOUND", "message": "Session not found" }}{ "error": { "code": "NOT_FOUND", "message": "Session not found" }}{ "error": { "code": "NOT_FOUND", "message": "Session not found" }}